Subject: [Cbor] Concise Binary Object Representation (CBOR) Tags for Date is now RFC 8943

From: Mike Jones <[email-masked]>
Date: Sat, 21 Nov 2020 00:30:44 +0000

The Concise Binary Object Representation (CBOR) Tags for Date specification has now been published as RFC 8943<https://www.rfc-editor.org/rfc/rfc8943>.  In particular, the full-date tag requested for use by the ISO Mobile Driver's License specification in the ISO/IEC JTC 1/SC 17<https://www.iso.org/committee/45144.html> "Cards and security devices for personal identification" working group has been created by this RFC.  The abstract of the RFC is:

The Concise Binary Object Representation (CBOR), as specified in RFC 7049, is a data format whose design goals include the possibility of extremely small code size, fairly small message size, and extensibility without the need for version negotiation.

In CBOR, one point of extensibility is the definition of CBOR tags.  RFC 7049 defines two tags for time: CBOR tag 0 (date/time string as per RFC 3339) and tag 1 (POSIX "seconds since the epoch").  Since then, additional requirements have become known.  This specification defines a CBOR tag for a date text string (as per RFC 3339) for applications needing a textual date representation within the Gregorian calendar without a time.  It also defines a CBOR tag for days since the date 1970-01-01 in the Gregorian calendar for applications needing a numeric date representation without a time.  This specification is the reference document for IANA registration of the CBOR tags defined.

Note that a gifted musical singer/songwriter appears in this RFC in a contextually appropriate fashion, should you need an additional incentive to read the specification. ;-)

                                                       -- Mike

P.S.  This note was also published at https://self-issued.info/?p=2136 and as @selfissued<https://twitter.com/selfissued/>.

---

From: Carsten Bormann <[email-masked]>
Date: Sat, 21 Nov 2020 08:12:01 +0100

Congratulations to the authors and to the whole WG for getting this one right!

Maybe this is a good time to revisit Joerg’s other tag proposals:

https://j-richter.github.io/CBOR/date.html
https://j-richter.github.io/CBOR/currency.html

As well as the extended time tag (1001) and friends:

https://datatracker.ietf.org/doc/draft-bormann-cbor-time-tag/

Grüße, Carsten

---

From: Francesca Palombini <[email-masked]>
Date: Mon, 30 Nov 2020 10:38:38 +0000

Yes, congrats to the authors and the whole WG! Impressive that it took less than 9 months to go from first draft to RFC. Carsten and Joerg, it sounds like a good idea to post to the mailing list (new or resume an old thread) for discussion and possibly reviews, or bring this up as an agenda topic for one of next interims.

Francesca

On 21/11/2020, 08:12, "CBOR on behalf of Carsten Bormann" <[email-masked] on behalf of [email-masked]> wrote:

    
    Grüße, Carsten

    _______________________________________________
    CBOR mailing list
    [email-masked]
    https://www.ietf.org/mailman/listinfo/cbor